List datasets
curl --request GET \
--url https://api.withsplendor.com/v1/datasets \
--header 'Authorization: Bearer <token>' \
--header 'x-splendor-tenant-id: <x-splendor-tenant-id>'import requests
url = "https://api.withsplendor.com/v1/datasets"
headers = {
"x-splendor-tenant-id": "<x-splendor-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-splendor-tenant-id': '<x-splendor-tenant-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.withsplendor.com/v1/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"datasets": [
{
"dataset_id": "app-logs",
"exact_shape_count": 3,
"readiness": {
"dataset_id": "app-logs",
"dataset_semantic_backlog_count": 0,
"document_semantic_backlog_count": 0,
"document_semantic_search_ready": true,
"documents": {
"expected": 1240000,
"index_committed": 1240000,
"parsed": 1240000,
"schema_observed": 1240000,
"semantic_embedded": 1240000,
"semantic_failed": 0,
"semantic_total": 1240000
},
"ingest_run_count": 3,
"lifecycle": {
"reasons": [],
"repairable": false,
"state": "ready"
},
"ready_for": {
"semantic_search": true,
"sql_search": true,
"text_search": true
},
"schema_ready": true,
"semantic_configured": true,
"semantic_failures": [],
"semantic_search_ready": true,
"status_counts": [
{
"count": 3,
"status": "ready"
}
],
"text_search_ready": true,
"vocabulary_semantic_backlog_count": 0,
"vocabulary_semantic_ready": true
},
"schema_revision": 4,
"schema_updated_at": "2026-01-15T09:30:00Z",
"source_count": 2,
"total_document_count": 1240000
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Datasets & schema
List datasets
Lists the datasets in the selected tenant with their current state. Use a returned dataset_id to scope a search, export, or schema lookup.
GET
/
v1
/
datasets
List datasets
⌘I